<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * This handles the viewing of a quiz attempt
 *
 * Provides grading interface for instructor
 *
 * @package   mod_activequiz
 * @author    John Hoopes <hoopes@wisc.edu>
 * @copyright 2014 Unviersity of Wisconsin - Madison
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once("../../config.php");
global $CFG, $DB, $OUTPUT, $PAGE;

require_once($CFG->libdir . '/questionlib.php');
require_once($CFG->dirroot . '/mod/activequiz/locallib.php');
require_once($CFG->dirroot . '/question/editlib.php');
require_once($CFG->dirroot . '/mod/activequiz/lib.php');
require_once($CFG->libdir . '/tablelib.php');


$viewquizattempt = new \mod_activequiz\controllers\viewquizattempt();

$viewquizattempt->setup_page('/mod/activequiz/viewquizattempt.php');
$viewquizattempt->handle_request();